%define fname	usb-modeswitch

Name:		usb_modeswitch
Summary:	Activating Switchable USB Devices on Linux
Version:	2.4.0
Release:	2
License:	GPLv2+
Group:		System/Configuration/Hardware
URL:		http://www.draisberghof.de/usb_modeswitch/
Source0:	http://www.draisberghof.de/usb_modeswitch/%{fname}-%{version}.tar.bz2
Source1:	usb_modeswitch.rpmlintrc
# http://www.draisberghof.de/usb_modeswitch/bb/viewtopic.php?f=2&t=2546
Patch0:		rhbz948451-fix-manual-pages.patch
# http://www.draisberghof.de/usb_modeswitch/bb/viewtopic.php?f=2&t=2556
Patch1:		0001-Fix-crash-on-early-fail.patch
# http://www.draisberghof.de/usb_modeswitch/bb/viewtopic.php?f=2&t=2557
Patch2:		0001-usb_modeswitch-don-t-return-a-value-from-stack.patch
BuildRequires:	usb-compat-devel
Requires:	sysfsutils
Requires(pre):	tcl
Requires:	usb_modeswitch-data >= 20140529

%description
USB_ModeSwitch is a mode switching tool for controlling "flip flop"
(multiple device) USB gear.

Several new USB devices (especially high-speed wireless WAN stuff,
they're expensive anyway) have their Windows drivers onboard; when
plugged in for the first time they act like a flash storage and start
installing the driver from there. After that (and on every consecutive
plugging) this driver switches the mode internally, the storage device
vanishes (in most cases), and a new device (like an USB modem) shows
up. The WWAN gear maker Option calls that feature "ZeroCD (TM)".

%prep
%setup -qn %{fname}-%{version}
%patch0 -p1 -b .manpage
%patch1 -p1 -b .libusb_exit
%patch2 -p1 -b .stack

%build
%make CC=%{__cc} CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
%makeinstall_std \
        SYSDIR=$RPM_BUILD_ROOT%{_unitdir}

%files
/lib/udev/usb_modeswitch
%{_unitdir}/usb_modeswitch@.service
%{_sbindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/usb_modeswitch.conf

%changelog

* Fri Nov 25 2016 abondrov <andrey.bondrov@rosalab.ru> 2.4.0-2
- (6a9d8c0) Merge pull request #2 from keleg/usb_modeswitch:rosa2014.1
- (6a9d8c0) Add fedora patches, enable systemd service


